<!DOCTYPE html>
<html>

<head>
    <link rel="stylesheet" href="/css/resulttable.css">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.0/css/bootstrap.min.css">
    <link rel="preconnect" href="https://fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css2?family=New+Tegomin&display=swap" rel="stylesheet">
    
</head>

<body>
    <div class="body">
        <div class="cont text-center">
            <h1 class="" style="margin-top: 5vh;font-family:'New Tegomin', serif ;color: rgb(87, 212, 212);font-size: 50px !important;">
                Books </h1>
            <div class="left">
                <!-- <%=result%> -->
                <table class="table text-center table-bordered" style="margin-top: -10px;border-radius: 10px;">

                    <thead class="thead-dark">
                        <tr>
                            <th scope="col">Book_Id</th>
                            <th scope="col">Title</th>
                  
                            <th scope="col">Rate It</th>
                        </tr>
                    </thead>
                    <% for(var i=0;i<result.length;i++) {%>

                        <tr>
                            <form action="/user_interact/rateit" method="POST">
                                <td class="text-secondary" id="id" name="id">
                                    <%=result[i].book_id%>
                                       
                                </td>

                                <td class="text-secondary" id="title" name="title">
                                    <%=result[i].title%>
                                </td>
                                <td>
                                    
                                        <select name="rating">
                                            <option value="0">0</option>
                                            <option value="1">1</option>
                                            <option value="2">2</option>
                                            <option value="3">3</option>
                                            <option value="4">4</option>
                                            <option value="5">5</option>
                                        </select>
                                        <button class="btn btn-lg btn-info" name='book_id' value=<%=result[i].book_id%>>Rate it</button>
                                    
                                </td>
                            </form>
                           
                        </tr>

                        <% } %>

                </table>

            </div>
        </div>
    </div>
</body>

</html>